﻿// PARTICLE EXPERIMENTS
// Author : Seb Lee-Delisle
// Blog : www.sebleedelisle.com
// Company : www.pluginmedia.net
//
// This work is licensed under a Creative Commons  2.0 License.

// Full details at 
// http://creativecommons.org/licenses/by/2.0/uk/

// You may re-use this code as you wish, but a credit would be 
// appreciated. And I'd love to see what you do with it! 
// mail me : seb@sebleedelisle.com

package 
{

import flash.display.*;	
	
public class Particle 
{ 

	public var xVel					:	Number = 0; 		// the x and y velocity of the particle
	public var yVel					:	Number = 0;
	
	public var clip:DisplayObject;						// display object for the particle
	
	public function Particle ( spriteclass : Class, targetclip : DisplayObjectContainer, xpos : Number, ypos : Number)
	{
		
		// instantiate a new particle graphic
		clip = new spriteclass(); 
		
		// and add it to the stage
		targetclip.addChild(clip); 
		
		// and set its position
		clip.x = xpos;
		clip.y = ypos;

	}
	
	public function setVel(xvel:Number, yvel:Number)
	{
		xVel = xvel;
		yVel = yvel;
	}
	
	
	public function update()
	{
		
		// add the velocity to the particle's position... 
		clip.x += xVel;
		clip.y += yVel;
		
		
	}
	
	public function destroy():void
	{
		clip.parent.removeChild(clip); 
		
	}
}
}